Subject: Re: [PATCH v4 0/5] kexec_file: Add buffer hand-over for the next kernel

From: [email-masked] (Eric W. Biederman)
Date: Wed, 07 Sep 2016 09:19:40 -0500

[email-masked] (Eric W. Biederman) writes:

> Thiago Jung Bauermann <[email-masked]> writes:
>
>> Hello,
>>
>> The purpose of this new version of the series is to fix a small issue that
>> I found, which is that the kernel doesn't remove the memory reservation
>> for the hand-over buffer it received from the previous kernel in the
>> device tree it sets up for the next kernel. The result is that for each
>> successive kexec, a stale hand-over buffer is left behind, wasting memory.
>>
>> This is fixed by changes to kexec_free_handover_buffer and
>> setup_handover_buffer in patch 2. The other change is to fix checkpatch
>> warnings in the last patch.
>
> This is fundamentally broken.  You do not increase the integrity of a
> system by dropping integrity checks.
>
> No. No. No. No.
>
> Nacked-by: "Eric W. Biederman" <[email-masked]>

To be constructive the way we have handled similiar situations in the
past (hotplu memory) is to call kexec_load again.

Eric